"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Article = void 0;
const core_1 = require("@sequelize/core");
const app_1 = require("../../app");
class Article extends core_1.Model {
}
exports.Article = Article;
Article.init({
    id: {
        type: core_1.DataTypes.BIGINT.UNSIGNED,
        primaryKey: true,
        unique: true,
        autoIncrement: true,
    },
    title: {
        type: core_1.DataTypes.STRING,
    },
    timeToComplete: {
        type: core_1.DataTypes.TINYINT.UNSIGNED,
        allowNull: true,
    },
    published: {
        type: core_1.DataTypes.BOOLEAN,
        defaultValue: false,
        allowNull: false,
    },
    description: {
        type: core_1.DataTypes.STRING(1024),
    },
    viewCounter: {
        type: core_1.DataTypes.INTEGER.UNSIGNED,
        defaultValue: 0,
    },
    authorId: {
        type: core_1.DataTypes.STRING(64),
        allowNull: false,
    },
    createdAt: core_1.DataTypes.DATE,
    updatedAt: core_1.DataTypes.DATE,
}, { sequelize: app_1.sequelizeInstance, tableName: "Articles" });
