"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const core_1 = require("@sequelize/core");
const app_1 = require("../../app");
const crypto_1 = require("crypto");
const helper_1 = require("../../utils/helper");
class User extends core_1.Model {
    comparePassword(comparisonPassword) {
        if (!this.salt) {
            return this.password == comparisonPassword;
        }
        const hash = (0, crypto_1.pbkdf2Sync)(comparisonPassword, this.salt, 100, 32, "sha256").toString("hex");
        return hash == this.password;
    }
    getDto() {
        return {
            id: this.id,
            username: this.username,
            email: this.email,
            roleId: this.roleId,
            verified: this.verified,
        };
    }
    isAdmin() {
        return this.roleId == 1;
    }
}
exports.User = User;
User.init({
    id: {
        type: core_1.DataTypes.STRING(64),
        primaryKey: true,
        unique: true,
    },
    username: {
        type: core_1.DataTypes.STRING,
        unique: true,
    },
    email: {
        type: core_1.DataTypes.STRING,
        unique: true,
    },
    password: {
        type: core_1.DataTypes.STRING(64),
        set(newPassword) {
            const newSalt = (0, helper_1.getRandomString)();
            const hash = (0, crypto_1.pbkdf2Sync)(newPassword, newSalt, 100, 32, "sha256").toString("hex");
            this.setDataValue("salt", newSalt);
            this.setDataValue("password", hash);
        },
    },
    salt: {
        type: core_1.DataTypes.STRING(64),
    },
    roleId: {
        type: core_1.DataTypes.TINYINT,
        defaultValue: 0,
    },
    verified: {
        type: core_1.DataTypes.BOOLEAN,
        defaultValue: false,
    },
    createdAt: core_1.DataTypes.DATE,
    updatedAt: core_1.DataTypes.DATE,
}, {
    sequelize: app_1.sequelizeInstance,
    tableName: "Users",
});
