"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.router = void 0;
const express = require("express");
exports.router = express.Router();
const fileController = require("../controllers/file.controller");
/**
 * @swagger
 * /file/{fileID}:
 *   get:
 *     description: fetch file from backend
 *     tags:
 *      - file
 *     parameters:
 *       - in: path
 *         name: fileID
 *         required: true
 *         type: string
 *         minimum: 1
 *     responses:
 *       200:
 *        description: response from the server
 *        schema:
 *              type: file
 *
 */
exports.router.get("/:id", fileController.get);
exports.router.post("/", fileController.create);
exports.router.delete("/:id", fileController.remove);
