"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.router = void 0;
const express = require("express");
exports.router = express.Router();
const loginController = require("../controllers/login.controller");
/**
 * @swagger
 * definitions:
 *   postLoginResponse:
 *     required:
 *       - token
 *     properties:
 *       token:
 *         type: string
 *   postLoginRequest:
 *     properties:
 *       email:
 *         type: string
 *       password:
 *          type: string
 */
/**
 * @swagger
 *
 * /login:
 *      post:
 *       description: login
 *       tags:
 *          - login
 *       consumes:
 *          - application/json
 *       parameters:
 *           - in: body
 *             name: " "
 *             description: Login a user
 *             schema:
 *              $ref: '#/definitions/postLoginRequest'
 *       responses:
 *         200:
 *          description: returns token
 *          schema:
 *              $ref: '#/definitions/postLoginResponse'
 */
exports.router.post("/", loginController.login);
