"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.remove = exports.create = exports.get = void 0;
const File_model_1 = require("../database/models/File.model");
const artifactPath = "./artifacts/";
async function get(fileId) {
    return new Promise(async (res, error) => {
        const file = await File_model_1.File.findByPk(fileId);
        if (!file) {
            error("Could not find file");
            return;
        }
        res({
            path: artifactPath + file.hash,
            name: file.name,
        });
    });
}
exports.get = get;
async function create(articleId, hash, name, altText) {
    return new Promise(async (res, error) => {
        const file = await File_model_1.File.create({
            hash: hash,
            name: name,
            altText: altText,
            articleId: articleId,
        });
        res(file);
    });
}
exports.create = create;
async function remove(fileId) {
    return new Promise(async (res, err) => {
        const affectedRows = await File_model_1.File.destroy({
            where: { id: fileId },
        });
        if (affectedRows < 1) {
            err("Could not delete row");
            return;
        }
        res(fileId);
    });
}
exports.remove = remove;
