"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearArticleTags = exports.addArticleTags = exports.remove = exports.update = exports.create = exports.get = exports.getAll = void 0;
const app_1 = require("../app");
const Tag_model_1 = require("../database/models/Tag.model");
function tagArticle() {
    return app_1.sequelizeInstance.model("TagArticle");
}
async function getAll() {
    return new Promise(async (res, error) => {
        const tags = await Tag_model_1.Tag.findAll();
        res(tags);
    });
}
exports.getAll = getAll;
async function get() { }
exports.get = get;
async function create(tagType, name) {
    return new Promise(async (res, error) => {
        const tag = await Tag_model_1.Tag.create({ name: name, tagType: tagType });
        if (!tag) {
            error("Could not find tag");
            return;
        }
        res(tag);
    });
}
exports.create = create;
async function update(newTag) {
    return new Promise(async (res, error) => {
        const tag = await Tag_model_1.Tag.findByPk(newTag.id);
        if (!tag) {
            error("Could not find tag");
            return;
        }
        tag.setDataValue("name", newTag.name);
        res(tag);
    });
}
exports.update = update;
async function remove() { }
exports.remove = remove;
async function addArticleTags(articleId, tags) {
    for (let tag of tags) {
        await tagArticle().create({ ArticleId: articleId, TagId: tag.id });
    }
}
exports.addArticleTags = addArticleTags;
async function clearArticleTags(articleId) {
    await tagArticle().destroy({ where: { ArticleId: articleId } });
}
exports.clearArticleTags = clearArticleTags;
